commit:     16473640b4f4b73f20bcd2b6aa0347fb4bb60266
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  4 04:14:45 2019 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Tue Jun  4 04:16:44 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=16473640

net-p2p/cpuminer-opt: 3.9.2 version bump

Package-Manager: Portage-2.3.67, Repoman-2.3.13
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 net-p2p/cpuminer-opt/Manifest                  |  1 +
 net-p2p/cpuminer-opt/cpuminer-opt-3.9.2.ebuild | 50 ++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/net-p2p/cpuminer-opt/Manifest b/net-p2p/cpuminer-opt/Manifest
index 95bc7eae549..84a4e64138d 100644
--- a/net-p2p/cpuminer-opt/Manifest
+++ b/net-p2p/cpuminer-opt/Manifest
@@ -3,3 +3,4 @@ DIST cpuminer-opt-3.9.0.1.tar.gz 1744675 BLAKE2B 
e1dff3bafd1c60bd67dbeca6acad4ee
 DIST cpuminer-opt-3.9.0.tar.gz 1744113 BLAKE2B 
0fef9ead2218284032d70df4d823f43896a72a06c91612b3a9981a89bb51c890d3fe54707af80d2ebe3ceb513ef98c3e7b036b9ec0a9767ff5b969bed2a26318
 SHA512 
beb3faf8f2b765f7f995274e247b59590c3cebf2f6d46ce39abac8ecec322cabfc4b2acc087686f9c701c2c32d96b5d1f95d34413ec70c727b58f67054fc2603
 DIST cpuminer-opt-3.9.1.1.tar.gz 1771289 BLAKE2B 
c3a0cdb6793d1590bca11fac736d2d9e0bc200a391f2f440f7e005e6d61c90c331bc856055a1cf207a5abed934caa421e6d291372e293467ad2738039f491f96
 SHA512 
fdbbc60f433ae810522ca22b1709ee2052de90631cd68d5581fa2297ad549093bc64b0f4ec6900986ec56e16b84ead111f8d8a796b7e654c675b0585990e266d
 DIST cpuminer-opt-3.9.1.tar.gz 1770345 BLAKE2B 
c2ef3111f1c1f034d2e4d4148031cf4fa099484e4bc54e8266323bdff26cbd90a390bb4bc0e77b095227bb3c0026a1b6d791bebb5345e74462650fe4be0e688d
 SHA512 
ca83b2b325947591e77b8edd7f920043d3422259e9e60a7549066d1290c60b7b108dd91c4f8731e8ffb3932d2d430a0b0f02e6b384b03a939e32c6dd4329732b
+DIST cpuminer-opt-3.9.2.tar.gz 1770769 BLAKE2B 
75413f98b522e30647c9e312e1a23ee5dd3d761780dad7617b68b20d08e123ddd256f70f1494f565abe67997bb1c5fd1401ccd21e7f5492182c7ec2619bc8e00
 SHA512 
ce12c867706a3caed0104859a8f2366af85497b493f8c2a8c87a45f430abb45a29c415889c8f219450ac2f4e10bd4482f6dbe9dd125e1dde98c8a25e3fdad8c8

diff --git a/net-p2p/cpuminer-opt/cpuminer-opt-3.9.2.ebuild 
b/net-p2p/cpuminer-opt/cpuminer-opt-3.9.2.ebuild
new file mode 100644
index 00000000000..666d27ee1c0
--- /dev/null
+++ b/net-p2p/cpuminer-opt/cpuminer-opt-3.9.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic systemd
+
+DESCRIPTION="Optimized multi algo CPU miner"
+HOMEPAGE="https://github.com/JayDDee/cpuminer-opt";
+IUSE="cpu_flags_x86_sse2 curl libressl"
+LICENSE="GPL-2"
+SLOT="0"
+REQUIRED_USE="cpu_flags_x86_sse2"
+DEPEND="
+       dev-libs/gmp:0
+       dev-libs/jansson
+       >=net-misc/curl-7.15[ssl]
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )
+"
+RDEPEND="${DEPEND}"
+if [[ ${PV} == "9999" ]] ; then
+       SRC_URI=""
+       EGIT_REPO_URI="https://github.com/JayDDee/${PN}.git";
+       inherit git-r3
+else
+       KEYWORDS="~amd64"
+       SRC_URI="https://github.com/JayDDee/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+fi
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       append-ldflags -Wl,-z,noexecstack
+       econf --with-crypto --with-curl
+}
+
+src_install() {
+       default
+       systemd_dounit "${FILESDIR}"/${PN}.service
+       insinto "/etc/${PN}"
+       doins cpuminer-conf.json
+}
+
+src_test() {
+       ./cpuminer --cputest || die
+}

Reply via email to